### Method

# Phosh Auth authenticate_async

#### Declaration [src]

    void
    phosh_auth_authenticate_async (
      PhoshAuth* self,
      const char* number,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `phosh_auth_authenticate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`number`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.